- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Types | Protected Slots | Protected Member Functions | Properties | Friends

# QAbstractItemView Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qabstractitemview.h.

`#include <qabstractitemview.h>`

Inheritance diagram for QAbstractItemView:
[legend]

List of all members.

## Public Types
enum | SelectionMode { NoSelection, SingleSelection, MultiSelection, ExtendedSelection, ContiguousSelection }
enum | SelectionBehavior { SelectItems, SelectRows, SelectColumns }
enum | ScrollHint { EnsureVisible, PositionAtTop, PositionAtBottom, PositionAtCenter }
enum | EditTrigger { NoEditTriggers = 0, CurrentChanged = 1, DoubleClicked = 2, SelectedClicked = 4, EditKeyPressed = 8, AnyKeyPressed = 16, AllEditTriggers = 31 }
enum | ScrollMode { ScrollPerItem, ScrollPerPixel }
enum | DragDropMode { NoDragDrop, DragOnly, DropOnly, DragDrop, InternalMove }
## Public Slots
virtual void | reset ()
virtual void | setRootIndex (const QModelIndex &index)
virtual void | doItemsLayout ()
virtual void | selectAll ()
void | edit (const QModelIndex &index)
void | clearSelection ()
void | setCurrentIndex (const QModelIndex &index)
void | scrollToTop ()
void | scrollToBottom ()
void | update (const QModelIndex &index)
## Signals
void | pressed (const QModelIndex &index)
void | clicked (const QModelIndex &index)
void | doubleClicked (const QModelIndex &index)
void | activated (const QModelIndex &index)
void | entered (const QModelIndex &index)
void | viewportEntered ()
## Public Member Functions
| QAbstractItemView (QWidget *parent=0)
| ~QAbstractItemView ()
virtual void | setModel (QAbstractItemModel *model)
QAbstractItemModel * | model () const
virtual void | setSelectionModel (QItemSelectionModel *selectionModel)
QItemSelectionModel * | selectionModel () const
void | setItemDelegate (QAbstractItemDelegate *delegate)
QAbstractItemDelegate * | itemDelegate () const
void | setSelectionMode (QAbstractItemView::SelectionMode mode)
QAbstractItemView::SelectionMode | selectionMode () const
void | setSelectionBehavior (QAbstractItemView::SelectionBehavior behavior)
QAbstractItemView::SelectionBehavior | selectionBehavior () const
QModelIndex | currentIndex () const
QModelIndex | rootIndex () const
void | setEditTriggers (EditTriggers triggers)
EditTriggers | editTriggers () const
void | setVerticalScrollMode (ScrollMode mode)
ScrollMode | verticalScrollMode () const
void | setHorizontalScrollMode (ScrollMode mode)
ScrollMode | horizontalScrollMode () const
void | setAutoScroll (bool enable)
bool | hasAutoScroll () const
void | setAutoScrollMargin (int margin)
int | autoScrollMargin () const
void | setTabKeyNavigation (bool enable)
bool | tabKeyNavigation () const
void | setDropIndicatorShown (bool enable)
bool | showDropIndicator () const
void | setDragEnabled (bool enable)
bool | dragEnabled () const
void | setDragDropOverwriteMode (bool overwrite)
bool | dragDropOverwriteMode () const
void | setDragDropMode (DragDropMode behavior)
DragDropMode | dragDropMode () const
void | setDefaultDropAction (Qt::DropAction dropAction)
Qt::DropAction | defaultDropAction () const
void | setAlternatingRowColors (bool enable)
bool | alternatingRowColors () const
void | setIconSize (const QSize &size)
QSize | iconSize () const
void | setTextElideMode (Qt::TextElideMode mode)
Qt::TextElideMode | textElideMode () const
virtual void | keyboardSearch (const QString &search)
virtual QRect | visualRect (const QModelIndex &index) const =0
virtual void | scrollTo (const QModelIndex &index, ScrollHint hint=EnsureVisible)=0
virtual QModelIndex | indexAt (const QPoint &point) const =0
QSize | sizeHintForIndex (const QModelIndex &index) const
virtual int | sizeHintForRow (int row) const
virtual int | sizeHintForColumn (int column) const
void | openPersistentEditor (const QModelIndex &index)
void | closePersistentEditor (const QModelIndex &index)
void | setIndexWidget (const QModelIndex &index, QWidget *widget)
QWidget * | indexWidget (const QModelIndex &index) const
void | setItemDelegateForRow (int row, QAbstractItemDelegate *delegate)
QAbstractItemDelegate * | itemDelegateForRow (int row) const
void | setItemDelegateForColumn (int column, QAbstractItemDelegate *delegate)
QAbstractItemDelegate * | itemDelegateForColumn (int column) const
QAbstractItemDelegate * | itemDelegate (const QModelIndex &index) const
virtual QVariant | inputMethodQuery (Qt::InputMethodQuery query) const
## Protected Types
enum | CursorAction { MoveUp, MoveDown, MoveLeft, MoveRight, MoveHome, MoveEnd, MovePageUp, MovePageDown, MoveNext, MovePrevious }
enum | State { NoState, DraggingState, DragSelectingState, EditingState, ExpandingState, CollapsingState, AnimatingState }
enum | DropIndicatorPosition { OnItem, AboveItem, BelowItem, OnViewport }
## Protected Slots
virtual void | dataChanged (const QModelIndex &topLeft, const QModelIndex &bottomRight)
virtual void | rowsInserted (const QModelIndex &parent, int start, int end)
virtual void | rowsAboutToBeRemoved (const QModelIndex &parent, int start, int end)
virtual void | selectionChanged (const QItemSelection &selected, const QItemSelection &deselected)
virtual void | currentChanged (const QModelIndex &current, const QModelIndex &previous)
virtual void | updateEditorData ()
virtual void | updateEditorGeometries ()
virtual void | updateGeometries ()
virtual void | verticalScrollbarAction (int action)
virtual void | horizontalScrollbarAction (int action)
virtual void | verticalScrollbarValueChanged (int value)
virtual void | horizontalScrollbarValueChanged (int value)
virtual void | closeEditor (QWidget *editor, QAbstractItemDelegate::EndEditHint hint)
virtual void | commitData (QWidget *editor)
virtual void | editorDestroyed (QObject *editor)
## Protected Member Functions
| QAbstractItemView (QAbstractItemViewPrivate &, QWidget *parent=0)
void | setHorizontalStepsPerItem (int steps)
int | horizontalStepsPerItem () const
void | setVerticalStepsPerItem (int steps)
int | verticalStepsPerItem () const
virtual QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers)=0
virtual int | horizontalOffset () const =0
virtual int | verticalOffset () const =0
virtual bool | isIndexHidden (const QModelIndex &index) const =0
virtual void | setSelection (const QRect &rect, QItemSelectionModel::SelectionFlags command)=0
virtual QRegion | visualRegionForSelection (const QItemSelection &selection) const =0
virtual QModelIndexList | selectedIndexes () const
virtual bool | edit (const QModelIndex &index, EditTrigger trigger, QEvent *event)
virtual QItemSelectionModel::SelectionFlags | selectionCommand (const QModelIndex &index, const QEvent *event=0) const
virtual void | startDrag (Qt::DropActions supportedActions)
virtual QStyleOptionViewItem | viewOptions () const
State | state () const
void | setState (State state)
void | scheduleDelayedItemsLayout ()
void | executeDelayedItemsLayout ()
void | setDirtyRegion (const QRegion &region)
void | scrollDirtyRegion (int dx, int dy)
QPoint | dirtyRegionOffset () const
void | startAutoScroll ()
void | stopAutoScroll ()
void | doAutoScroll ()
bool | focusNextPrevChild (bool next)
bool | event (QEvent *event)
bool | viewportEvent (QEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
void | mouseDoubleClickEvent (QMouseEvent *event)
void | dragEnterEvent (QDragEnterEvent *event)
void | dragMoveEvent (QDragMoveEvent *event)
void | dragLeaveEvent (QDragLeaveEvent *event)
void | dropEvent (QDropEvent *event)
void | focusInEvent (QFocusEvent *event)
void | focusOutEvent (QFocusEvent *event)
void | keyPressEvent (QKeyEvent *event)
void | resizeEvent (QResizeEvent *event)
void | timerEvent (QTimerEvent *event)
void | inputMethodEvent (QInputMethodEvent *event)
DropIndicatorPosition | dropIndicatorPosition () const
## Properties
bool | autoScroll
int | autoScrollMargin
EditTriggers | editTriggers
bool | tabKeyNavigation
bool | showDropIndicator
bool | dragEnabled
bool | dragDropOverwriteMode
DragDropMode | dragDropMode
Qt::DropAction | defaultDropAction
bool | alternatingRowColors
SelectionMode | selectionMode
SelectionBehavior | selectionBehavior
QSize | iconSize
Qt::TextElideMode | textElideMode
ScrollMode | verticalScrollMode
ScrollMode | horizontalScrollMode
## Friends
class | QAccessibleItemRow
class | QListModeViewBase
class | QListViewPrivate

## Member Enumeration Documentation

enum SelectionMode

Search for all occurrences

Enumerator:

  NoSelection | Search for all occurrences
  SingleSelection | Search for all occurrences
  MultiSelection | Search for all occurrences
  ExtendedSelection | Search for all occurrences
  ContiguousSelection | Search for all occurrences

Definition at line 88 of file qabstractitemview.h.

                           {
            NoSelection,
            SingleSelection,
            MultiSelection,
            ExtendedSelection,
            ContiguousSelection
        };

enum SelectionBehavior

Search for all occurrences

Enumerator:

  SelectItems | Search for all occurrences
  SelectRows | Search for all occurrences
  SelectColumns | Search for all occurrences

Definition at line 96 of file qabstractitemview.h.

                               {
            SelectItems,
            SelectRows,
            SelectColumns
        };

enum ScrollHint

Search for all occurrences

Enumerator:

  EnsureVisible | Search for all occurrences
  PositionAtTop | Search for all occurrences
  PositionAtBottom | Search for all occurrences
  PositionAtCenter | Search for all occurrences

Definition at line 102 of file qabstractitemview.h.

                        {
            EnsureVisible,
            PositionAtTop,
            PositionAtBottom,
            PositionAtCenter
        };

enum EditTrigger

Search for all occurrences

Enumerator:

  NoEditTriggers | Search for all occurrences
  CurrentChanged | Search for all occurrences
  DoubleClicked | Search for all occurrences
  SelectedClicked | Search for all occurrences
  EditKeyPressed | Search for all occurrences
  AnyKeyPressed | Search for all occurrences
  AllEditTriggers | Search for all occurrences

Definition at line 109 of file qabstractitemview.h.

                         {
            NoEditTriggers = 0,
            CurrentChanged = 1,
            DoubleClicked = 2,
            SelectedClicked = 4,
            EditKeyPressed = 8,
            AnyKeyPressed = 16,
            AllEditTriggers = 31
        };

enum ScrollMode

Search for all occurrences

Enumerator:

  ScrollPerItem | Search for all occurrences
  ScrollPerPixel | Search for all occurrences

Definition at line 121 of file qabstractitemview.h.

                        {
            ScrollPerItem,
            ScrollPerPixel
        };

enum DragDropMode

Search for all occurrences

Enumerator:

  NoDragDrop | Search for all occurrences
  DragOnly | Search for all occurrences
  DropOnly | Search for all occurrences
  DragDrop | Search for all occurrences
  InternalMove | Search for all occurrences

Definition at line 175 of file qabstractitemview.h.

                          {
            NoDragDrop,
            DragOnly,
            DropOnly,
            DragDrop,
            InternalMove
        };

enum CursorAction `[protected]`

Search for all occurrences

Enumerator:

  MoveUp | Search for all occurrences
  MoveDown | Search for all occurrences
  MoveLeft | Search for all occurrences
  MoveRight | Search for all occurrences
  MoveHome | Search for all occurrences
  MoveEnd | Search for all occurrences
  MovePageUp | Search for all occurrences
  MovePageDown | Search for all occurrences
  MoveNext | Search for all occurrences
  MovePrevious | Search for all occurrences

Definition at line 277 of file qabstractitemview.h.

                          { MoveUp, MoveDown, MoveLeft, MoveRight,
                            MoveHome, MoveEnd, MovePageUp, MovePageDown,
                            MoveNext, MovePrevious };

enum State `[protected]`

Search for all occurrences

Enumerator:

  NoState | Search for all occurrences
  DraggingState | Search for all occurrences
  DragSelectingState | Search for all occurrences
  EditingState | Search for all occurrences
  ExpandingState | Search for all occurrences
  CollapsingState | Search for all occurrences
  AnimatingState | Search for all occurrences

Definition at line 303 of file qabstractitemview.h.

                   {
            NoState,
            DraggingState,
            DragSelectingState,
            EditingState,
            ExpandingState,
            CollapsingState,
            AnimatingState
        };

enum DropIndicatorPosition `[protected]`

Search for all occurrences

Enumerator:

  OnItem | Search for all occurrences
  AboveItem | Search for all occurrences
  BelowItem | Search for all occurrences
  OnViewport | Search for all occurrences

Definition at line 348 of file qabstractitemview.h.

    { OnItem, AboveItem, BelowItem, OnViewport };

## Constructor & Destructor Documentation

QAbstractItemView | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QAbstractItemView | ( |  | ) |

QAbstractItemView | ( | QAbstractItemViewPrivate & | ,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual void setModel | ( | QAbstractItemModel * | model | ) | `[virtual]`

Search for all occurrences

Reimplemented in QColumnView, QHeaderView, QTableView, and QTreeView.

QAbstractItemModel* model | ( |  | ) | const

Search for all occurrences

virtual void setSelectionModel | ( | QItemSelectionModel * | selectionModel | ) | `[virtual]`

Search for all occurrences

Reimplemented in QColumnView, QTableView, QTreeView, and QTreeWidget.

QItemSelectionModel* selectionModel | ( |  | ) | const

Search for all occurrences

void setItemDelegate | ( | QAbstractItemDelegate * | delegate | ) |

Search for all occurrences

QAbstractItemDelegate* itemDelegate | ( |  | ) | const

Search for all occurrences

void setSelectionMode | ( | QAbstractItemView::SelectionMode | mode | ) |

Search for all occurrences

QAbstractItemView::SelectionMode selectionMode | ( |  | ) | const

Search for all occurrences

void setSelectionBehavior | ( | QAbstractItemView::SelectionBehavior | behavior | ) |

Search for all occurrences

QAbstractItemView::SelectionBehavior selectionBehavior | ( |  | ) | const

Search for all occurrences

QModelIndex currentIndex | ( |  | ) | const

Search for all occurrences

QModelIndex rootIndex | ( |  | ) | const

Search for all occurrences

void setEditTriggers | ( | EditTriggers | triggers | ) |

Search for all occurrences

EditTriggers editTriggers | ( |  | ) | const

Search for all occurrences

void setVerticalScrollMode | ( | ScrollMode | mode | ) |

Search for all occurrences

ScrollMode verticalScrollMode | ( |  | ) | const

Search for all occurrences

void setHorizontalScrollMode | ( | ScrollMode | mode | ) |

Search for all occurrences

ScrollMode horizontalScrollMode | ( |  | ) | const

Search for all occurrences

void setAutoScroll | ( | bool | enable | ) |

Search for all occurrences

bool hasAutoScroll | ( |  | ) | const

Search for all occurrences

void setAutoScrollMargin | ( | int | margin | ) |

Search for all occurrences

int autoScrollMargin | ( |  | ) | const

Search for all occurrences

void setTabKeyNavigation | ( | bool | enable | ) |

Search for all occurrences

bool tabKeyNavigation | ( |  | ) | const

Search for all occurrences

void setDropIndicatorShown | ( | bool | enable | ) |

Search for all occurrences

bool showDropIndicator | ( |  | ) | const

Search for all occurrences

void setDragEnabled | ( | bool | enable | ) |

Search for all occurrences

bool dragEnabled | ( |  | ) | const

Search for all occurrences

void setDragDropOverwriteMode | ( | bool | overwrite | ) |

Search for all occurrences

bool dragDropOverwriteMode | ( |  | ) | const

Search for all occurrences

void setDragDropMode | ( | DragDropMode | behavior | ) |

Search for all occurrences

DragDropMode dragDropMode | ( |  | ) | const

Search for all occurrences

void setDefaultDropAction | ( | Qt::DropAction | dropAction | ) |

Search for all occurrences

Qt::DropAction defaultDropAction | ( |  | ) | const

Search for all occurrences

void setAlternatingRowColors | ( | bool | enable | ) |

Search for all occurrences

bool alternatingRowColors | ( |  | ) | const

Search for all occurrences

void setIconSize | ( | const QSize & | size | ) |

Search for all occurrences

QSize iconSize | ( |  | ) | const

Search for all occurrences

void setTextElideMode | ( | Qt::TextElideMode | mode | ) |

Search for all occurrences

Qt::TextElideMode textElideMode | ( |  | ) | const

Search for all occurrences

virtual void keyboardSearch | ( | const QString & | search | ) | `[virtual]`

Search for all occurrences

Reimplemented in QTreeView.

virtual QRect visualRect | ( | const QModelIndex & | index | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual void scrollTo | ( | const QModelIndex & | index,
|  | ScrollHint | hint = `EnsureVisible`
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual QModelIndex indexAt | ( | const QPoint & | point | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

QSize sizeHintForIndex | ( | const QModelIndex & | index | ) | const

Search for all occurrences

virtual int sizeHintForRow | ( | int | row | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QTableView.

virtual int sizeHintForColumn | ( | int | column | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QTableView, and QTreeView.

void openPersistentEditor | ( | const QModelIndex & | index | ) |

Search for all occurrences

void closePersistentEditor | ( | const QModelIndex & | index | ) |

Search for all occurrences

void setIndexWidget | ( | const QModelIndex & | index,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

QWidget* indexWidget | ( | const QModelIndex & | index | ) | const

Search for all occurrences

void setItemDelegateForRow | ( | int | row,
|  | QAbstractItemDelegate * | delegate
| ) |  |

Search for all occurrences

QAbstractItemDelegate* itemDelegateForRow | ( | int | row | ) | const

Search for all occurrences

void setItemDelegateForColumn | ( | int | column,
|  | QAbstractItemDelegate * | delegate
| ) |  |

Search for all occurrences

QAbstractItemDelegate* itemDelegateForColumn | ( | int | column | ) | const

Search for all occurrences

QAbstractItemDelegate* itemDelegate | ( | const QModelIndex & | index | ) | const

Search for all occurrences

virtual QVariant inputMethodQuery | ( | Qt::InputMethodQuery | query | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

virtual void reset | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QHeaderView, QListView, and QTreeView.

virtual void setRootIndex | ( | const QModelIndex & | index | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QColumnView, QListView, QTableView, and QTreeView.

virtual void doItemsLayout | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QHeaderView, QListView, and QTreeView.

virtual void selectAll | ( |  | ) | `[virtual, slot]`

Search for all occurrences

Reimplemented in QColumnView, and QTreeView.

void edit | ( | const QModelIndex & | index | ) | `[slot]`

Search for all occurrences

void clearSelection | ( |  | ) | `[slot]`

Search for all occurrences

void setCurrentIndex | ( | const QModelIndex & | index | ) | `[slot]`

Search for all occurrences

void scrollToTop | ( |  | ) | `[slot]`

Search for all occurrences

void scrollToBottom | ( |  | ) | `[slot]`

Search for all occurrences

void update | ( | const QModelIndex & | index | ) | `[slot]`

Search for all occurrences

virtual void dataChanged | ( | const QModelIndex & | topLeft,
|  | const QModelIndex & | bottomRight
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QHeaderView, QListView, and QTreeView.

virtual void rowsInserted | ( | const QModelIndex & | parent,
|  | int | start,
|  | int | end
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QColumnView, QHeaderView, QListView, and QTreeView.

virtual void rowsAboutToBeRemoved | ( | const QModelIndex & | parent,
|  | int | start,
|  | int | end
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QListView, and QTreeView.

virtual void selectionChanged | ( | const QItemSelection & | selected,
|  | const QItemSelection & | deselected
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QListView, QTableView, and QTreeView.

virtual void currentChanged | ( | const QModelIndex & | current,
|  | const QModelIndex & | previous
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual void updateEditorData | ( |  | ) | `[protected, virtual, slot]`

Search for all occurrences

virtual void updateEditorGeometries | ( |  | ) | `[protected, virtual, slot]`

Search for all occurrences

virtual void updateGeometries | ( |  | ) | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QHeaderView, QListView, QTableView, and QTreeView.

virtual void verticalScrollbarAction | ( | int | action | ) | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QTableView.

virtual void horizontalScrollbarAction | ( | int | action | ) | `[protected, virtual, slot]`

Search for all occurrences

Reimplemented in QTableView, and QTreeView.

virtual void verticalScrollbarValueChanged | ( | int | value | ) | `[protected, virtual, slot]`

Search for all occurrences

virtual void horizontalScrollbarValueChanged | ( | int | value | ) | `[protected, virtual, slot]`

Search for all occurrences

virtual void closeEditor | ( | QWidget * | editor,
|  | QAbstractItemDelegate::EndEditHint | hint
| ) |  | `[protected, virtual, slot]`

Search for all occurrences

virtual void commitData | ( | QWidget * | editor | ) | `[protected, virtual, slot]`

Search for all occurrences

virtual void editorDestroyed | ( | QObject * | editor | ) | `[protected, virtual, slot]`

Search for all occurrences

void pressed | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

void clicked | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

void doubleClicked | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

void activated | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

void entered | ( | const QModelIndex & | index | ) | `[signal]`

Search for all occurrences

void viewportEntered | ( |  | ) | `[signal]`

Search for all occurrences

void setHorizontalStepsPerItem | ( | int | steps | ) | `[protected]`

Search for all occurrences

int horizontalStepsPerItem | ( |  | ) | const `[protected]`

Search for all occurrences

void setVerticalStepsPerItem | ( | int | steps | ) | `[protected]`

Search for all occurrences

int verticalStepsPerItem | ( |  | ) | const `[protected]`

Search for all occurrences

virtual QModelIndex moveCursor | ( | CursorAction | cursorAction,
|  | Qt::KeyboardModifiers | modifiers
| ) |  | `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual int horizontalOffset | ( |  | ) | const `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual int verticalOffset | ( |  | ) | const `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual bool isIndexHidden | ( | const QModelIndex & | index | ) | const `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual void setSelection | ( | const QRect & | rect,
|  | QItemSelectionModel::SelectionFlags | command
| ) |  | `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual QRegion visualRegionForSelection | ( | const QItemSelection & | selection | ) | const `[protected, pure virtual]`

Search for all occurrences

Implemented in QColumnView, QHeaderView, QListView, QTableView, and QTreeView.

virtual QModelIndexList selectedIndexes | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QListView, QTableView, and QTreeView.

virtual bool edit | ( | const QModelIndex & | index,
|  | EditTrigger | trigger,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual QItemSelectionModel::SelectionFlags selectionCommand | ( | const QModelIndex & | index,
|  | const QEvent * | event = `0`
| ) |  | const `[protected, virtual]`

Search for all occurrences

virtual void startDrag | ( | Qt::DropActions | supportedActions | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QListView.

virtual QStyleOptionViewItem viewOptions | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QListView, and QTableView.

State state | ( |  | ) | const `[protected]`

Search for all occurrences

void setState | ( | State | state | ) | `[protected]`

Search for all occurrences

void scheduleDelayedItemsLayout | ( |  | ) | `[protected]`

Search for all occurrences

void executeDelayedItemsLayout | ( |  | ) | `[protected]`

Search for all occurrences

void setDirtyRegion | ( | const QRegion & | region | ) | `[protected]`

Search for all occurrences

void scrollDirtyRegion | ( | int | dx,
|  | int | dy
| ) |  | `[protected]`

Search for all occurrences

QPoint dirtyRegionOffset | ( |  | ) | const `[protected]`

Search for all occurrences

void startAutoScroll | ( |  | ) | `[protected]`

Search for all occurrences

void stopAutoScroll | ( |  | ) | `[protected]`

Search for all occurrences

void doAutoScroll | ( |  | ) | `[protected]`

Search for all occurrences

bool focusNextPrevChild | ( | bool | next | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, QListView, QListWidget, QTableWidget, and QTreeWidget.

bool viewportEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, and QTreeView.

void mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, and QTreeView.

void mouseMoveEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, QListView, and QTreeView.

void mouseReleaseEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, QListView, and QTreeView.

void mouseDoubleClickEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QHeaderView, and QTreeView.

void dragEnterEvent | ( | QDragEnterEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void dragMoveEvent | ( | QDragMoveEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QListView, and QTreeView.

void dragLeaveEvent | ( | QDragLeaveEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QListView.

void dropEvent | ( | QDropEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QListView, QListWidget, QTableWidget, and QTreeWidget.

void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void focusOutEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void keyPressEvent | ( | QKeyEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QTreeView.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

Reimplemented in QColumnView, and QListView.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QListView, QTableView, and QTreeView.

void inputMethodEvent | ( | QInputMethodEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

DropIndicatorPosition dropIndicatorPosition | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QAccessibleItemRow `[friend]`

Search for all occurrences

Definition at line 364 of file qabstractitemview.h.

friend class QListModeViewBase `[friend]`

Search for all occurrences

Definition at line 365 of file qabstractitemview.h.

friend class QListViewPrivate `[friend]`

Search for all occurrences

Definition at line 366 of file qabstractitemview.h.

## Property Documentation

bool autoScroll `[read, write]`

Search for all occurrences

Definition at line 68 of file qabstractitemview.h.

int autoScrollMargin `[read, write]`

Search for all occurrences

Definition at line 69 of file qabstractitemview.h.

EditTriggers editTriggers `[read, write]`

Search for all occurrences

Definition at line 70 of file qabstractitemview.h.

bool tabKeyNavigation `[read, write]`

Search for all occurrences

Definition at line 71 of file qabstractitemview.h.

bool showDropIndicator `[read, write]`

Search for all occurrences

Definition at line 73 of file qabstractitemview.h.

bool dragEnabled `[read, write]`

Search for all occurrences

Definition at line 74 of file qabstractitemview.h.

bool dragDropOverwriteMode `[read, write]`

Search for all occurrences

Definition at line 75 of file qabstractitemview.h.

DragDropMode dragDropMode `[read, write]`

Search for all occurrences

Definition at line 76 of file qabstractitemview.h.

Qt::DropAction defaultDropAction `[read, write]`

Search for all occurrences

Definition at line 77 of file qabstractitemview.h.

bool alternatingRowColors `[read, write]`

Search for all occurrences

Definition at line 79 of file qabstractitemview.h.

SelectionMode selectionMode `[read, write]`

Search for all occurrences

Definition at line 80 of file qabstractitemview.h.

SelectionBehavior selectionBehavior `[read, write]`

Search for all occurrences

Definition at line 81 of file qabstractitemview.h.

QSize iconSize `[read, write]`

Search for all occurrences

Definition at line 82 of file qabstractitemview.h.

Qt::TextElideMode textElideMode `[read, write]`

Search for all occurrences

Definition at line 83 of file qabstractitemview.h.

ScrollMode verticalScrollMode `[read, write]`

Search for all occurrences

Definition at line 84 of file qabstractitemview.h.

ScrollMode horizontalScrollMode `[read, write]`

Search for all occurrences

Definition at line 85 of file qabstractitemview.h.

The documentation for this class was generated from the following file:

- QtGui/qabstractitemview.h

QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView
QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView QAbstractItemView